﻿
namespace MiddlemarchReader
{
    public class PageInfo
    {
        public int ParagraphIndex { set; get; }

        public int CharacterIndex { set; get; }

        public bool IsLastPage { set; get; }

        public int AccumulatedCharacterCount { set; get; }

        // For debugging purposes
        public override string ToString()
        {
            return string.Format("(para {0}, char {1}, {2})", this.ParagraphIndex, this.CharacterIndex, this.IsLastPage);
        }
    }
}
