﻿using System;
using System.IO;
using System.Windows;

namespace MiddlemarchReader
{
    public class MiddlemarchPageProvider : PageProvider
    {
        public MiddlemarchPageProvider()
        {
            this.Book = (Application.Current as App).AppSettings.Book;

            using (Stream stream = Application.GetResourceStream(new Uri("Books/pg145.txt", UriKind.Relative)).Stream)
            {
                PreprocessBook(stream);
            }
        }
    }
}
